Bug 190735 - libffi not bundled with gcc/libgcc packages
libffi not bundled with gcc/libgcc packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 15:30 EDT by Martin Kuehl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 07:58:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Kuehl 2006-05-04 15:30:35 EDT
Description of problem:

Neither of the packages gcc/libgcc includes the library "libffi", which is
supposed to be bundled with gcc.
The Spec file includes the following snippet:
<snip>
# Remove binaries we will not be including, so that they don't end up in
# gcc-debuginfo
rm -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/{libffi*,libiberty.a}
</snip>

This snippet comes almost directly from the gcc4 package for RHEL4; the gcc
package (version 3ish) doesn't include such a snippet.

I assume gcc3 does include libffi, and that the snippet is meant to prevent
filename-clashes between gcc 3 and 4.  If so, the exclusion from fedora is a bug :-)

Version-Release number of selected component (if applicable):

Source RPM: gcc-4.1.0-3.src.rpm

Additional info:

The "old" version of libffi (available from sources.redhat.com somewhere...)
compiles and installs fine, and can be used after changing its SELinux security
context.  This is probably not related to this request though :)
Comment 1 Jakub Jelinek 2006-05-05 03:45:33 EDT
libffi has never been packaged in gcc rpms in Fedora nor RHEL, it is used
solely for libgcj internally (i.e. always linked into libgcj.so.*).
What do you need it for?
Comment 2 Martin Kuehl 2006-05-05 05:15:52 EDT
(In reply to comment #1)
> libffi has never been packaged in gcc rpms in Fedora nor RHEL, it is used
> solely for libgcj internally (i.e. always linked into libgcj.so.*).

Ah, sorry, my bad.  Maybe it should be packaged separately then?

> What do you need it for?

We're using it to bind external libraries (libcurl and libWand currently) into
SXEmacs (<http://www.sxemacs.org/>).
Comment 3 Jakub Jelinek 2006-05-05 07:58:40 EDT
I think libffi should be just packaged separately from gcc for third party
package use.  Either package it in Fedora Extras, or convince somebody to do so.

Note You need to log in before you can comment on or make changes to this bug.